Show Partner Transactions.
curl --request GET \
--url https://api.money.orki.io/api/v1/partner/transactions \
--header 'X-ORKI-API-KEY: <api-key>'import requests
url = "https://api.money.orki.io/api/v1/partner/transactions"
headers = {"X-ORKI-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-ORKI-API-KEY': '<api-key>'}};
fetch('https://api.money.orki.io/api/v1/partner/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.money.orki.io/api/v1/partner/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-ORKI-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.money.orki.io/api/v1/partner/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-ORKI-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.money.orki.io/api/v1/partner/transactions")
.header("X-ORKI-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.money.orki.io/api/v1/partner/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-ORKI-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"msg": "Success",
"data": {
"data": [
{
"id": "01jwm8tchegxy37f12jck7b0bx",
"provider_transaction_id": "cos_1RUyHbQRBKAgk6f06LOvXqFU",
"type": "BUY",
"sender_address": null,
"recipient_address": "0x5f661d0e61d3F79DA6605AB6173453084599c5aC",
"exchange_rate": 239.2,
"transaction_hash": "random_hash_here",
"provider_fee": "60.600000",
"provider_fee_currency": "USD",
"client_fee": "0.400000",
"client_fee_currency": "USD",
"orki_fee": "0.100000",
"orki_fee_currency": "USD",
"network_fee": "0.050000",
"network_fee_currency": "USD",
"fiat_amount": 400,
"crypto_amount": 1500,
"fiat_currency": "USD",
"crypto_currency": "eth",
"network": "ethereum",
"payment_method": "credit_debit_card",
"partner_context": "order-12345",
"status": "success",
"provider": "stripe",
"created_at": "2025-05-31T22:53:51.000000Z",
"processed_at": "2025-06-01T23:50:50.000000Z"
},
{
"id": "01jwmf9s2dmmtbq048xh94xxza",
"provider_transaction_id": "682d90414984372d417a43ee",
"type": "BUY",
"sender_address": null,
"recipient_address": "UQB9tSE4jidlpbote0-hFXddpXi6PWYUL2JfrrVMJjcw0hrb",
"exchange_rate": 1618.12,
"transaction_hash": "6e9b376b9b8f6e1648e9b897e3fab31563ec5438c5d53d774c09061357d34677",
"provider_fee": null,
"provider_fee_currency": null,
"client_fee": "0.000000",
"client_fee_currency": "USD",
"orki_fee": "0.000000",
"orki_fee_currency": "USD",
"network_fee": null,
"network_fee_currency": null,
"fiat_amount": 40000,
"crypto_amount": 18.54,
"fiat_currency": "NGN",
"crypto_currency": "usdt",
"network": "ton",
"payment_method": "bank_transfer",
"partner_context": null,
"status": "success",
"provider": "fonbnk",
"created_at": "2025-06-01T00:47:07.000000Z",
"processed_at": "2025-06-21T08:36:51.000000Z"
}
],
"meta": {
"total": 9,
"perPage": 2,
"currentPage": 1,
"lastPage": 5,
"firstPage": 1,
"firstPageUrl": "https://api.money.orki.io/api/v1/partner/transactions?page=1",
"lastPageUrl": "https://api.money.orki.io/api/v1/partner/transactions?page=5",
"nextPageUrl": "https://api.money.orki.io/api/v1/partner/transactions?page=2",
"previousPageUrl": null
}
},
"success": true,
"code": 200
}Transactions
List Transactions
This endpoint retrieves a list of transactions associated with the partner’s account.
GET
/
api
/
v1
/
partner
/
transactions
Show Partner Transactions.
curl --request GET \
--url https://api.money.orki.io/api/v1/partner/transactions \
--header 'X-ORKI-API-KEY: <api-key>'import requests
url = "https://api.money.orki.io/api/v1/partner/transactions"
headers = {"X-ORKI-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-ORKI-API-KEY': '<api-key>'}};
fetch('https://api.money.orki.io/api/v1/partner/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.money.orki.io/api/v1/partner/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-ORKI-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.money.orki.io/api/v1/partner/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-ORKI-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.money.orki.io/api/v1/partner/transactions")
.header("X-ORKI-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.money.orki.io/api/v1/partner/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-ORKI-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"msg": "Success",
"data": {
"data": [
{
"id": "01jwm8tchegxy37f12jck7b0bx",
"provider_transaction_id": "cos_1RUyHbQRBKAgk6f06LOvXqFU",
"type": "BUY",
"sender_address": null,
"recipient_address": "0x5f661d0e61d3F79DA6605AB6173453084599c5aC",
"exchange_rate": 239.2,
"transaction_hash": "random_hash_here",
"provider_fee": "60.600000",
"provider_fee_currency": "USD",
"client_fee": "0.400000",
"client_fee_currency": "USD",
"orki_fee": "0.100000",
"orki_fee_currency": "USD",
"network_fee": "0.050000",
"network_fee_currency": "USD",
"fiat_amount": 400,
"crypto_amount": 1500,
"fiat_currency": "USD",
"crypto_currency": "eth",
"network": "ethereum",
"payment_method": "credit_debit_card",
"partner_context": "order-12345",
"status": "success",
"provider": "stripe",
"created_at": "2025-05-31T22:53:51.000000Z",
"processed_at": "2025-06-01T23:50:50.000000Z"
},
{
"id": "01jwmf9s2dmmtbq048xh94xxza",
"provider_transaction_id": "682d90414984372d417a43ee",
"type": "BUY",
"sender_address": null,
"recipient_address": "UQB9tSE4jidlpbote0-hFXddpXi6PWYUL2JfrrVMJjcw0hrb",
"exchange_rate": 1618.12,
"transaction_hash": "6e9b376b9b8f6e1648e9b897e3fab31563ec5438c5d53d774c09061357d34677",
"provider_fee": null,
"provider_fee_currency": null,
"client_fee": "0.000000",
"client_fee_currency": "USD",
"orki_fee": "0.000000",
"orki_fee_currency": "USD",
"network_fee": null,
"network_fee_currency": null,
"fiat_amount": 40000,
"crypto_amount": 18.54,
"fiat_currency": "NGN",
"crypto_currency": "usdt",
"network": "ton",
"payment_method": "bank_transfer",
"partner_context": null,
"status": "success",
"provider": "fonbnk",
"created_at": "2025-06-01T00:47:07.000000Z",
"processed_at": "2025-06-21T08:36:51.000000Z"
}
],
"meta": {
"total": 9,
"perPage": 2,
"currentPage": 1,
"lastPage": 5,
"firstPage": 1,
"firstPageUrl": "https://api.money.orki.io/api/v1/partner/transactions?page=1",
"lastPageUrl": "https://api.money.orki.io/api/v1/partner/transactions?page=5",
"nextPageUrl": "https://api.money.orki.io/api/v1/partner/transactions?page=2",
"previousPageUrl": null
}
},
"success": true,
"code": 200
}Use
provider_transaction_id as the provider’s transaction identifier. client_fee is the partner fee, while orki_fee is Orki’s platform fee; both are separate fields and are denominated by their companion currency fields.The fee amounts and companion currency fields use the same names and null behavior as transaction webhooks. Fee amounts are returned as decimal strings so they can be parsed without floating-point loss.fiat_amount is the provider-reported base fiat transaction amount before separately itemized fees. The fee fields are not subtracted from it.Authorizations
Query Parameters
Page number.
Example:
1
Number of items per page.
Example:
5
Filter transactions created within the given date range. Format: start_date,end_date (e.g., 2023-01-01,2023-12-31).
Example:
"2023-01-01,2023-12-31"
⌘I